Examples: query, "exact match", wildcard*, wild?ard, wild*rd
Fuzzy search: cake~ (finds cakes, bake)
Term boost: "red velvet"^4, chocolate^2
Field grouping: tags:(+work -"fun-stuff")
Escaping: Escape characters +-&|!(){}[]^"~*?:\ with \, e.g. \+
Range search: properties.timestamp:[1587729413488 TO *] (inclusive), properties.title:{A TO Z}(excluding A and Z)
Combinations: chocolate AND vanilla, chocolate OR vanilla, (chocolate OR vanilla) NOT "vanilla pudding"
Field search: properties.title:"The Title" AND text
Answered
Hi All, I Was Wondering If Someone Can Support Me With A Fresh Clearml Installation On A Remote Server. I Exported The Variable

Hi all, I was wondering if someone can support me with a fresh ClearML installation on a remote server. I exported the variable $CLEARML_DEFAULT_OUTPUT_URI to my home folder and I'm testing this script None but I don't understand why I cannot see any plot (not directory structure) in the default output URI folder. Any idea? 🙂

  
  
Posted 5 months ago
Votes Newest

Answers 2


Hi @<1630014842674876416:profile|ObnoxiousBluewhale46> , the example code you mentioned reports plots into the ClearML server and these are indexed in the internal databases, they are not stored in the output_uri provided (that's only for artifacts and model files), so that's the reaosn you see nothing there

  
  
Posted 5 months ago

Also if I set set the output uri folder to a non-existing location I'm not only getting a "Folder does not exist" error but also an "insufficient permission error"
I post the log down here

  File "/opt/anaconda3/lib/python3.11/site-packages/clearml/storage/helper.py", line 2737, in check_write_permissions
    self.upload_from_stream(stream=six.BytesIO(b"clearml"), dest_path=dest_path)
  File "/opt/anaconda3/lib/python3.11/site-packages/clearml/storage/helper.py", line 2441, in upload_from_stream
    raise last_ex
  File "/opt/anaconda3/lib/python3.11/site-packages/clearml/storage/helper.py", line 2424, in upload_from_stream
    self._driver.upload_object_via_stream(
  File "/opt/anaconda3/lib/python3.11/site-packages/clearml/storage/helper.py", line 1627, in upload_object_via_stream
    path = self.get_container_cdn_url(container, check=True)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/anaconda3/lib/python3.11/site-packages/clearml/storage/helper.py", line 1457, in get_container_cdn_url
    raise ValueError("Target path \"{}\" does not exist".format(path))
ValueError: Target path "/home/antonio/clearml_artifacts" does not exist

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/antonio/test2.py", line 64, in <module>
    main()
  File "/home/antonio/test2.py", line 44, in main
    task = Task.init(project_name="examples", task_name="3D plot reporting")
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/anaconda3/lib/python3.11/site-packages/clearml/task.py", line 595, in init
    task.output_uri = str(cls.__default_output_uri)
    ^^^^^^^^^^^^^^^
  File "/opt/anaconda3/lib/python3.11/site-packages/clearml/task.py", line 1124, in output_uri
    helper.check_write_permissions(value)
  File "/opt/anaconda3/lib/python3.11/site-packages/clearml/storage/helper.py", line 2739, in check_write_permissions
    raise ValueError("Insufficient permissions (write failed) for {}".format(base_url))
ValueError: Insufficient permissions (write failed) for /home/antonio/clearml_artifacts
  
  
Posted 5 months ago
342 Views
2 Answers
5 months ago
5 months ago
Tags